Get Blog Post

Returns a single Blog Post.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idstringRequired

Response

authorstring or null

Name of the blog post’s author.

bodystring
Text body of the blog post.
idintegerRead-only

ID of this blog post. READ-ONLY.

is_publishedbooleanDefaults to false
Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
meta_descriptionstring or null

Description text for this blog post’s <meta/> element.

meta_keywordsstring or null

Keywords for this blog post’s <meta/> element.

preview_urlstringRead-only

URL to preview the blog post. READ-ONLY.

published_dateobject
published_date_iso8601string

Published date in ISO 8601 format.

summarystringRead-only

Summary of the blog post. READ-ONLY.

tagslist of strings
Tags to characterize the blog post.
thumbnail_pathstring or null
Local path to a thumbnail uploaded to `/product_images/` using [WebDAV](https://support.bigcommerce.com/s/article/File-Access-WebDAV).
titlestring
Title of this blog post.
urlstring
URL for the public blog post.